pro read_interfer_dt_map, detIDNum, xNodes, yNodes, dTAtNodes, 		$
					extrapIdentifiers, detName
    if (detIDNum EQ 100) then detName = 'p100'				$
    else if (detIDNum EQ 1000) then detName = 'p1000'			$
    else begin
	detName = strcompress(string(detIDNum), /REMOVE_ALL)
	while (strlen(detName) LT 3) do detName = '0' + detName
	detName = 'ace' + detName
    endelse

    get_directory_delimiter, dd		; unix = /, pc = \, mac = :
    interferometer_map_file = 'interferometerData' + dd + detName + '.map'
    find_file, interferometer_map_file, path
    interferometer_map_file = path

    get_lun, unit1
    openr, unit1, interferometer_map_file
    i = 0
    while (NOT EOF(unit1)) do begin
	readf, unit1, dummyString
	i = i + 1
    endwhile
    lineCount = i
    close, unit1

    xNodes = intarr(lineCount)
    yNodes = intarr(lineCount)
    dTAtNodes = fltarr(lineCount)
    extrapIdentifiers = strarr(lineCount)

    xi = 0
    yi = 0
    dTi = 0.0
    exti = ''
    openr, unit1, interferometer_map_file
    for i = 0, (lineCount - 1) do begin
	readf, unit1, FORMAT = '(I5, I5, F8.2, 2X, A1)', xi, yi, dTi, exti
	xNodes(i) = xi
	yNodes(i) = yi
	dTAtNodes(i) = dti
	extrapIdentifiers(i) = exti
;
; i cannot believe the following does not work in IDL!
; 							IDL *SUCKS*!!!
;
;	readf, unit1, FORMAT = '(I5, I5, F8.2, 2X, A1)', xNodes(i), 	$
;				yNodes(i), dTAtNodes(i), extrapIdentifiers(i)
;
    endfor

	;IMPORTANT FACTOR of 2 !!!	due to interferometer maps
    dTAtNodes = dTAtNodes * 2.
    close, unit1
    free_lun, unit1
end
